plugindevelopment

## Class InsertSingleTypeTest

- java.lang.Object
- - plugindevelopment.InsertSingleTypeTest

    public class InsertSingleTypeTest
    extends java.lang.Object

### Field Summary

Fields
`(package private) static java.lang.String` `rootDirectory`
`private static java.lang.String` `testFile`

### Constructor Summary

Constructors
Constructor and Description
`InsertSingleTypeTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `getFileContent(java.lang.String path)`
`static TypeinferenceResultSet` `test(java.lang.String sourceFileToInfere)`
`void` `test1()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### testFile

    private static final java.lang.String testFile

See Also:
  Constant Field Values

#### rootDirectory

    static final java.lang.String rootDirectory

### Constructor Detail

#### InsertSingleTypeTest

    public InsertSingleTypeTest()

### Method Detail

#### test1

    public void test1()

#### test

    public static TypeinferenceResultSet test(java.lang.String sourceFileToInfere)

#### getFileContent

    public static java.lang.String getFileContent(java.lang.String path)
                                           throws java.io.IOException

Throws:
  `java.io.IOException`